# Set up authentication using a Phone Number

## Android

1. Add `phone` to the `providers` [configuration](https://github.com/capawesome-team/capacitor-firebase/tree/main/packages/authentication#configuration) array.
1. See [Before you begin](https://firebase.google.com/docs/auth/android/phone-auth#before-you-begin) and follow the instructions to configure sign-in using a Phone Number correctly.  
**Attention**: Skip step 2. The dependency for the Firebase Authentication Android library is already declared by the plugin.
1. See [Enable Phone Number sign-in for your Firebase project](https://firebase.google.com/docs/auth/android/phone-auth#enable-phone-number-sign-in-for-your-firebase-project) and follow the instructions to enable Phone Number sign-in for your Firebase project correctly.
1. See [Enable app verification](https://firebase.google.com/docs/auth/android/phone-auth#enable-app-verification) and follow the instructions to enable app verification correctly.

## iOS

1. Add `phone` to the `providers` [configuration](https://github.com/capawesome-team/capacitor-firebase/tree/main/packages/authentication#configuration) array.
1. See [Before you begin](https://firebase.google.com/docs/auth/ios/phone-auth#before-you-begin) and follow the instructions to configure sign-in using a Phone Number correctly.  
**Attention**: Skip step 2. The `Firebase/Auth` pod is already added by the plugin.
1. See [Enable Phone Number sign-in for your Firebase project](https://firebase.google.com/docs/auth/ios/phone-auth#enable-phone-number-sign-in-for-your-firebase-project) and follow the instructions to enable Phone Number sign-in for your Firebase project correctly.
1. See [Enable app verification](https://firebase.google.com/docs/auth/ios/phone-auth#enable-app-verification) and follow the instructions to enable app verification correctly.

## Web

🚧 Currently not supported.
